ListAttributeJoin (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.criteria.path
Class ListAttributeJoin<O,E>

    java.lang.Object
      org.hibernate.ejb.criteria.AbstractNode
          org.hibernate.ejb.criteria.expression.AbstractTupleElement<X>
              org.hibernate.ejb.criteria.expression.SelectionImpl<T>
                  org.hibernate.ejb.criteria.expression.ExpressionImpl<X>
                      org.hibernate.ejb.criteria.path.AbstractPathImpl<X>
                          org.hibernate.ejb.criteria.path.AbstractFromImpl<Z,X>
                              org.hibernate.ejb.criteria.path.AbstractJoinImpl<O,E>
                                  org.hibernate.ejb.criteria.path.PluralAttributeJoinSupport<O,List<E>,E>
                                      org.hibernate.ejb.criteria.path.ListAttributeJoin<O,E>

All Implemented Interfaces:
  Serializable, Expression<E>, Fetch<O,E>, FetchParent<O,E>, From<O,E>, Join<O,E>, ListJoin<O,E>, Path<E>, PluralJoin<O,List<E>,E>, Selection<E>, TupleElement<E>, ExpressionImplementor<E>, FromImplementor<O,E>, JoinImplementor<O,E>, ListJoinImplementor<O,E>, ParameterContainer, PathImplementor<E>, PathSource<E>, Renderable, SelectionImplementor<E>, TupleElementImplementor<E>

    public class ListAttributeJoin<O,E>

extends PluralAttributeJoinSupport<O,List<E>,E>
implements ListJoinImplementor<O,E>, Serializable

TODO : javadoc

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.hibernate.ejb.criteria.path.AbstractFromImpl
`AbstractFromImpl.BasicJoinScope, AbstractFromImpl.CorrelationJoinScope, AbstractFromImpl.JoinScope<X>`

Nested classes/interfaces inherited from interface org.hibernate.ejb.criteria.ParameterContainer
`ParameterContainer.Helper`

Field Summary

Fields inherited from class org.hibernate.ejb.criteria.path.AbstractFromImpl
`DEFAULT_JOIN_TYPE`

Constructor Summary
`ListAttributeJoin(CriteriaBuilderImpl criteriaBuilder, Class<E> javaType, PathSource<O> pathSource, ListAttribute<? super O,E> joinAttribute, JoinType joinType)`

Method Summary
`ListAttributeJoin<O,E>` | `correlateTo(CriteriaSubqueryImpl subquery)` Refined return type
`protected FromImplementor<O,E>` | `createCorrelationDelegate()`
`ListAttribute<? super O,E>` | `getAttribute()` Retrieve reference to the attribute this path represents.
`ListAttribute<? super O,E>` | `getModel()`
`Expression<Integer>` | `index()`

Methods inherited from class org.hibernate.ejb.criteria.path.PluralAttributeJoinSupport
`canBeDereferenced, canBeJoinSource, isBasicCollection, locateManagedType`

Methods inherited from class org.hibernate.ejb.criteria.path.AbstractJoinImpl
`getJoinType, getParent, renderTableExpression`

Methods inherited from class org.hibernate.ejb.criteria.path.AbstractFromImpl
`canBeFetchSource, fetch, fetch, fetch, fetch, fetch, fetch, getAlias, getCorrelationParent, getFetches, getJoins, getPathIdentifier, getPathSource, isCorrelated, join, join, join, join, join, join, join, join, join, join, join, join, joinCollection, joinCollection, joinList, joinList, joinMap, joinMap, joinSet, joinSet, locateAttributeInternal, prepareAlias, prepareCorrelationDelegate, render, renderProjection`

Methods inherited from class org.hibernate.ejb.criteria.path.AbstractPathImpl
`get, get, get, get, getParentPath, illegalDereference, locateAttribute, registerAttributePath, registerParameters, resolveCachedAttributePath, type, unknownAttribute`

Methods inherited from class org.hibernate.ejb.criteria.expression.ExpressionImpl
`as, asBigDecimal, asBigInteger, asDouble, asFloat, asInteger, asLong, asString, in, in, in, in, isNotNull, isNull`

Methods inherited from class org.hibernate.ejb.criteria.expression.SelectionImpl
`alias, getCompoundSelectionItems, getValueHandlers, isCompoundSelection`

Methods inherited from class org.hibernate.ejb.criteria.expression.AbstractTupleElement
`forceConversion, getJavaType, getValueHandler, resetJavaType, setAlias`

Methods inherited from class org.hibernate.ejb.criteria.AbstractNode
`criteriaBuilder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.criteria.Fetch
`getJoinType, getParent`

Methods inherited from interface org.hibernate.ejb.criteria.FromImplementor
`getCorrelationParent, prepareAlias, prepareCorrelationDelegate, renderTableExpression`

Methods inherited from interface org.hibernate.ejb.criteria.ExpressionImplementor
`asBigDecimal, asBigInteger, asDouble, asFloat, asInteger, asLong, asString`

Methods inherited from interface org.hibernate.ejb.criteria.SelectionImplementor
`getValueHandlers`

Methods inherited from interface org.hibernate.ejb.criteria.TupleElementImplementor
`getValueHandler`

Methods inherited from interface org.hibernate.ejb.criteria.Renderable
`render, renderProjection`

Methods inherited from interface org.hibernate.ejb.criteria.PathSource
`getPathIdentifier`

Methods inherited from interface javax.persistence.criteria.Join
`getJoinType, getParent`

Methods inherited from interface javax.persistence.criteria.From
`getJoins, isCorrelated, join, join, join, join, join, join, join, join, join, join, join, join, joinCollection, joinCollection, joinList, joinList, joinMap, joinMap, joinSet, joinSet`

Methods inherited from interface javax.persistence.criteria.FetchParent
`fetch, fetch, fetch, fetch, fetch, fetch, getFetches`

Constructor Detail

### ListAttributeJoin

    public ListAttributeJoin(CriteriaBuilderImpl criteriaBuilder,
                             Class<E> javaType,
                             PathSource<O> pathSource,
                             ListAttribute<? super O,E> joinAttribute,
                             JoinType joinType)

Method Detail

### index

    public Expression<Integer> index()

  Specified by:
    `index` in interface `ListJoin<O,E>`

### getAttribute

    public ListAttribute<? super O,E> getAttribute()

  Description copied from class: `AbstractJoinImpl`
  Retrieve reference to the attribute this path represents.

  Specified by:
    `getAttribute` in interface `Fetch<O,E>`
  Specified by:
    `getAttribute` in interface `Join<O,E>`
  Specified by:
    `getAttribute` in interface `PathImplementor<E>`
  Overrides:
    `getAttribute` in class `PluralAttributeJoinSupport<O,List<E>,E>`
  Returns:
    The metamodel attribute.

### getModel

    public ListAttribute<? super O,E> getModel()

  Specified by:
    `getModel` in interface `ListJoin<O,E>`
  Specified by:
    `getModel` in interface `Path<E>`
  Specified by:
    `getModel` in interface `PluralJoin<O,List<E>,E>`
  Overrides:
    `getModel` in class `PluralAttributeJoinSupport<O,List<E>,E>`

### correlateTo

    public final ListAttributeJoin<O,E> correlateTo(CriteriaSubqueryImpl subquery)

  Description copied from interface: `JoinImplementor`

  Refined return type

  Specified by:
    `correlateTo` in interface `FromImplementor<O,E>`
  Specified by:
    `correlateTo` in interface `JoinImplementor<O,E>`
  Specified by:
    `correlateTo` in interface `ListJoinImplementor<O,E>`
  Overrides:
    `correlateTo` in class `AbstractJoinImpl<O,E>`

### createCorrelationDelegate

    protected FromImplementor<O,E> createCorrelationDelegate()

  Specified by:
    `createCorrelationDelegate` in class `AbstractFromImpl<O,E>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.